Estoy experimentando con una tarjeta Intel Xeon Phi 3120A y descarga automática usando Python. Lo ejecuté usando Intel Python 2017 con la ayuda de esta publicación. Con eso descubrí que, lamentablemente, la tarjeta solo es compatible con la versión 2017 de MKL para la descarga automática. Como Intel Python 2017 se basa en Python 3.5, me pregunto si hay alguna forma de usarlo, por ejemplo, Python 3.6 con MKL 2017 para preservar la funcionalidad de descarga automática de la tarjeta Xeon Phi. ¿Puedo de alguna manera configurar un entorno Miniconda con Python 3.6 aún usando MKL 2017? ¿O es posible compilar numpy y scipy con la antigua biblioteca MKL?

¡Gracias!

2
mapf 23 nov. 2019 a las 13:43

1 respuesta

La mejor respuesta

Necesita construir scipy y numpy desde la fuente mientras lo vincula con MKL BLAS y MKL LAPACK. Use esto para comenzar: https://docs.scipy.org/doc /numpy/user/building.html

2
iliar 23 nov. 2019 a las 12:39